Search Over 30,000 FREE Plugins from the Official WordPress Plugin Directory Repository

YITH WooCommerce EU VAT

Manage correctly your European customers with their own tax laws about digital goods.

From January 1st 2015, the European Union has put into effect the new rules about the taxation on the purchase of all digital goods for European citizens. This makes necessary to apply the right taxes for every purchaser of your e-commerce. Therefore, whether your users are direct consumers or businesses, YITH WooCommerce EU VAT allows your customers to be identified by their country, applying automatically the expected taxes, and summarizing all the amounts you will have to pay monthly. An efficient and automatic tool to respect the new legislation.

Main features

  • Taxes are applied based on the customer location.
  • Pre built EU Tax rates list.
  • Choose the taxes to pay with a MOSS report filtered by nation and time
  • Choose to prevent purchases from EU customers.
  • In case of you want to prevent purchases from EU customers, choose to show customized messages on cart and on checkout page.
  • Store automatically the EU taxes paid by the customer.
  • Consult quickly a direct report about the taxes to pay by nation and period of time.

For a more detailed list of options and features of the plugin, please look at the official documentation.

Discover all the features of the plugin and install it in your theme: the result will be extremely satisfying.

Author YITHEMES
Profile
Contributors yithemes
Tags commerce, digital goods, digital vat, e-commerce, ecommerce, eu moss, eu tax, eu vat, eu vat compliance, european tax, european vat, EUvat, iva, moss, order tax, order vat, tax, taxes, UE, VAT, vat compliance, vat moss, vat rates, vatmoss, woocommerce
  1. yith-woocommerce-eu-vat screenshot 1

    In order to deal with EU VAT laws, the shop owner can decide to deny purchases from EU customers.

  2. yith-woocommerce-eu-vat screenshot 2

    Customize the message to show to EU customers on checkout, when the plugin is to deny purchases from EU customers.

  3. yith-woocommerce-eu-vat screenshot 3

    The customer receive an error message when tries to complete an order that contains products that are liable to EU VAT laws.

  4. yith-woocommerce-eu-vat screenshot 4

    You can show a customizable warning message to EU customers when they enter the cart page stating they could be denied to complete the order if the cart contains product liable to EU VAT laws.

  5. yith-woocommerce-eu-vat screenshot 5

    The warning message advice the customer that, as an EU customer, he could be liable to EU VAT laws limitation.

  6. yith-woocommerce-eu-vat screenshot 6

    Import all EU VAT tax rates into WooCommerce "standard" rates class.

  7. yith-woocommerce-eu-vat screenshot 7

    Select from the tax rate list, which tax should be taken in account when dealing with EU VAT laws.

  8. yith-woocommerce-eu-vat screenshot 8

    Print a report with details about VAT taxes paid by EU customers.

Important: First of all, you have to download and activate WooCommerce plugin, which is mandatory for YITH WooCommerce EU VAT to be working.

  1. Download and unzip the downloaded file.
  2. Upload the plugin folder into the wp-content/plugins/ directory of your WordPress site.
  3. Activate YITH WooCommerce EU VAT from "Plugins" page.

Configuration

YITH WooCommerce EU VAT will add a new tab called "EU VAT" in "YIT Plugins" menu item. There, you will find all Yithemes plugins with quick access to plugin setting page.

Version 1.2.8 - Released: Jan 16, 2017

  • New: WordPress 4.7 ready

Version 1.2.7 - Released: Jun 13, 2016

  • Updated: WooCommerce 2.6 100% compatible
  • Fixed: removed deprecated action woocommerce_update_option_x

Version 1.2.6 - Released: May 04, 2016

  • Fixed: missing YITH Plugin FW files

Version 1.2.5 - Released: May 02, 2016

  • Updated: plugin compatible with WordPress 4.5
  • Updated: plugin author name
  • Updated: YITH Plugin Framework
  • Fixed: some string were not localizable

Version 1.2.4 - Released: Nov 23, 2015

  • Updated: changed action used for YITH Plugin FW loading from after_setup_theme to plugins_loaded

Version 1.2.3 - Released: Oct 29, 2015

  • Tweak: update YITH Plugin framework.
  • Update: changed text-domain from ywev to yith-woocommerce-eu-vat

Version 1.2.2 - Released: Aug 12, 2015

  • Tweak: update YITH Plugin framework.

Version 1.2.1 - Released: Jul 03, 2015

=

  • Fix : misspelling on constant name

Version 1.2.0 - Released: May 21, 2015

=

  • Fix : support WooCommerce plugin version prior than 2.3.0

Version 1.1.0 - Released: Apr 22, 2015

=

Version 1.0.1 - Released: Apr 16, 2015

=

Added : videobox information.

1.0.0

Initial release

Suggestions

If you have any suggestions concerning how to improve YITH WooCommerce EU VAT, you can write to us, so that we can improve YITH WooCommerce EU VAT.

Translators

Available Languages

  • English

If you have created your own language pack, or you have got an updated version of an existing one, you can send it gettext PO and MO file use, so that we can improve YITH WooCommerce EU VAT.

Share  
Download
Version 1.2.8

Requires WordPress version: 3.5.1 or higher

Compatible up to: 4.7.2

Last Updated 16 Jan 2017

Date Added: 09 Apr 2015

Plugin Homepage

Evaluation
star1
star2
star3
star4
star5

5 stars
2 ratings
2,988 downloads

Compatibility

Not Enough Data

Reports:
Works: 0
Broken: 0